# Getting Start

wplive-js-sdk 对接了技术研究院的 [wplive server](http://seafile.wanpeng.tech/d/1533499e60f34aa88c60/)，除此之外，它还试图降低 webRTC 开发的难度。

### wplive server

一个基于[janus](https://janus.conf.meetecho.com/)的 SFU 服务。（FIXME: what is wplive server）

## 快速上手

```bash
yarn add wplive-js-sdk
```

# Development

- install

```
yarn
```

- 调试

```
yarn dev
```

访问：https://localhost:6888/，<b>注意是 https</b>

调试的项目在 examples 下，修改下面的 App.vue 即可

- build

```
yarn build
```

## 产物

build 产物在 dist，可以直接用 wplive-js-sdk.es.js

# 学习链接

## Janus

- [Janus 官方首页](https://janus.conf.meetecho.com/)
- [janode - janus 现代前端模块](https://github.com/meetecho/janode/)
- [view janus.js in chrome](https://github.dev/meetecho/janus-gateway/blob/master/html/janus.js)
- [源码 - github](https://github.com/meetecho/janus-gateway)

## Janus Docs v1.x

- [JS docs](https://janus.conf.meetecho.com/docs/JS.html)
- [videoroom docs](https://janus.conf.meetecho.com/docs/videoroom.html)

## Janus Docs v0.x

- [JS docs](https://janus-legacy.conf.meetecho.com/docs/JS.html).
- [videoroom docs](https://janus-legacy.conf.meetecho.com/docs/videoroom.html)

## 调试

### 方式 1

- 打开[外网测试地址](https://webrtc_waiwang.yflb.kehou.com/publish.html)
- 打开控制台，执行下列脚本，修改参数（两段脚本只是用户 id 不同）

```
document.getElementById('gatewayurl').value = 'https://gateway-zj.wplive.wpyun.com'
document.getElementById('roomid').value = 'dev2-test'
document.getElementById('userid').value = 'teacher-0'
document.getElementById('displayname').value = 'zhangsan'
```

```
document.getElementById('gatewayurl').value = 'https://gateway-zj.wplive.wpyun.com'
document.getElementById('roomid').value = 'dev2-test'
document.getElementById('userid').value = 'teacher-1'
document.getElementById('displayname').value = 'lisi'
```
